Bug 131534 - Request addition of digikam-kde4 to ports
Summary: Request addition of digikam-kde4 to ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-09 16:00 UTC by Matt
Modified: 2009-02-14 23:40 UTC (History)
0 users

See Also:


Attachments
file.shar (39.08 KB, text/plain)
2009-02-09 16:00 UTC, Matt
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt 2009-02-09 16:00:03 UTC
The attached shell archive is a proposed port for a KDE4-version of Digikam ( http://www.digikam.org/ ) based on the 0.10.0-rc1 version ( http://www.digikam.org/drupal/node/422 ).

This port requires a minimum KDE version of 4.2 because of the library dependencies from kdegraphics4.  Port is run tested on i386 (7-STABLE) and amd64 (-CURRENT) on builds cleanly in tinderbox on i386 and amd64.

Fix: Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2009-02-09 19:54:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 Max Brazhnikov freebsd_committer 2009-02-11 16:56:31 UTC
State Changed
From-To: open->repocopy

Please, repocopy graphics/digikam to graphics/digikam-kde4.
Comment 3 Max Brazhnikov freebsd_committer 2009-02-11 16:59:31 UTC
Responsible Changed
From-To: makc->portmgr

Over to portmgr.
Comment 4 Joe Marcus Clarke freebsd_committer 2009-02-14 21:23:20 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 5 Joe Marcus Clarke freebsd_committer 2009-02-14 21:23:20 UTC
Responsible Changed
From-To: portmgr->makc

Repocopy complete.
Comment 6 dfilter service freebsd_committer 2009-02-14 23:32:43 UTC
makc        2009-02-14 23:32:33 UTC

  FreeBSD ports repository

  Modified files:
    graphics/digikam-kde4 Makefile distinfo pkg-descr pkg-plist 
  Added files:
    graphics/digikam-kde4/files patch-CMakeLists.txt 
  Removed files:
    graphics/digikam-kde4/files 
                                patch-digikam_digikam_albumfiletip.cpp 
                                patch-digikam_digikam_albumiconview.cpp 
                                patch-digikam_digikam_albumsettings.cpp 
                                patch-digikam_digikam_digikamapp.cpp 
                                patch-digikam_digikam_main.cpp 
                                patch-digikam_digikam_scanlib.cpp 
                                patch-digikam_kioslave_digikamalbums.cpp 
                                patch-digikam_kioslave_digikamdates.cpp 
                                patch-digikam_kioslave_digikamthumbnail.cpp 
                                patch-digikam_libs_dialogs_imagedialog.cpp 
                                patch-digikam_libs_dialogs_rawcameradlg.cpp 
                                patch-digikam_libs_dimg_dimg.cpp 
                                patch-digikam_libs_imageproperties_imagepropertiestab.cpp 
                                patch-digikam_libs_lprof_lcmsprf.h 
                                patch-digikam_libs_thumbbar_thumbbar.cpp 
                                patch-digikam_showfoto_main.cpp 
                                patch-digikam_showfoto_showfoto.cpp 
                                patch-digikam_utilities_cameragui_cameraui.cpp 
                                patch-digikam_utilities_cameragui_gpcamera.cpp 
                                patch-digikam_utilities_lighttable_lighttablewindow.cpp 
  Log:
  Update graphics/digikam-kde4 to 0.10.0-rc1
  
  PR:             ports/131534
  Submitted by:   Matt Tosto <datahead4 at gmail.com>
  
  Revision  Changes    Path
  1.48      +11 -22    ports/graphics/digikam-kde4/Makefile
  1.16      +3 -3      ports/graphics/digikam-kde4/distinfo
  1.1       +157 -0    ports/graphics/digikam-kde4/files/patch-CMakeLists.txt (new)
  1.3       +0 -20     ports/graphics/digikam-kde4/files/patch-digikam_digikam_albumfiletip.cpp (dead)
  1.3       +0 -18     ports/graphics/digikam-kde4/files/patch-digikam_digikam_albumiconview.cpp (dead)
  1.3       +0 -20     ports/graphics/digikam-kde4/files/patch-digikam_digikam_albumsettings.cpp (dead)
  1.3       +0 -34     ports/graphics/digikam-kde4/files/patch-digikam_digikam_digikamapp.cpp (dead)
  1.3       +0 -28     ports/graphics/digikam-kde4/files/patch-digikam_digikam_main.cpp (dead)
  1.4       +0 -20     ports/graphics/digikam-kde4/files/patch-digikam_digikam_scanlib.cpp (dead)
  1.5       +0 -20     ports/graphics/digikam-kde4/files/patch-digikam_kioslave_digikamalbums.cpp (dead)
  1.6       +0 -11     ports/graphics/digikam-kde4/files/patch-digikam_kioslave_digikamdates.cpp (dead)
  1.3       +0 -19     ports/graphics/digikam-kde4/files/patch-digikam_kioslave_digikamthumbnail.cpp (dead)
  1.3       +0 -33     ports/graphics/digikam-kde4/files/patch-digikam_libs_dialogs_imagedialog.cpp (dead)
  1.3       +0 -30     ports/graphics/digikam-kde4/files/patch-digikam_libs_dialogs_rawcameradlg.cpp (dead)
  1.3       +0 -19     ports/graphics/digikam-kde4/files/patch-digikam_libs_dimg_dimg.cpp (dead)
  1.3       +0 -20     ports/graphics/digikam-kde4/files/patch-digikam_libs_imageproperties_imagepropertiestab.cpp (dead)
  1.3       +0 -10     ports/graphics/digikam-kde4/files/patch-digikam_libs_lprof_lcmsprf.h (dead)
  1.3       +0 -20     ports/graphics/digikam-kde4/files/patch-digikam_libs_thumbbar_thumbbar.cpp (dead)
  1.3       +0 -28     ports/graphics/digikam-kde4/files/patch-digikam_showfoto_main.cpp (dead)
  1.3       +0 -36     ports/graphics/digikam-kde4/files/patch-digikam_showfoto_showfoto.cpp (dead)
  1.3       +0 -28     ports/graphics/digikam-kde4/files/patch-digikam_utilities_cameragui_cameraui.cpp (dead)
  1.3       +0 -30     ports/graphics/digikam-kde4/files/patch-digikam_utilities_cameragui_gpcamera.cpp (dead)
  1.3       +0 -18     ports/graphics/digikam-kde4/files/patch-digikam_utilities_lighttable_lighttablewindow.cpp (dead)
  1.7       +0 -3      ports/graphics/digikam-kde4/pkg-descr
  1.18      +425 -660  ports/graphics/digikam-kde4/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Max Brazhnikov freebsd_committer 2009-02-14 23:34:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!